%global pypi_name pulp-glue
%global module_name pulp_glue
%global commitId 1d3b7288c3b6604da10fce691acf5b73f0b41025

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        0.18.0
Release:        1%{?dist}
Summary:        Version agnostic glue library to talk to pulpcore's REST API

License:        GPL-2.0-or-later
URL:            https://github.com/pulp/pulp-cli
Source0:        python-pulp-cli-1d3b7288c3b6604da10fce691acf5b73f0b41025.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%global _description \
The version agnostic Pulp 3 client library in python

%description
%{_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

Requires:       python%{python3_pkgversion}-packaging
Requires:       python%{python3_pkgversion}-requests >= 2.24
Requires:       python%{python3_pkgversion}-requests < 3
Requires:       python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-%{pypi_name}
%{_description}

%prep
%autosetup -n python-pulp-cli-%{commitId}

%build
cd %{pypi_name}
%{py3_build}

%install
cd %{pypi_name}
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.md
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{module_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Mar 10 2023 Satoe Imaishi <simaishi@redhat.com> - 0.18.0-1
- Initial release
